table.Autocorrelation {PerformanceAnalytics} | R Documentation

## table for calculating the first six autocorrelation coefficients and significance

### Description

Produces data table of autocorrelation coefficients rho and corresponding Q(6)-statistic for each column in R.

### Usage

    table.Autocorrelation(R, digits = 4)

### Arguments

`R` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`digits` | number of digits to round results to for display

### Note

To test returns for autocorrelation, Lo (2001) suggests the use of the Ljung-Box test, a significance test for the auto-correlation coefficients. Ljung and Box (1978) provide a refinement of the Q-statistic proposed by Box and Pierce (1970) that offers a better fit for the chi^2 test for small sample sizes. `Box.test` provides both.

### Author(s)

Peter Carl

### References

Lo, Andrew W. 2001. Risk Management for Hedge Funds: Introduction and Overview. SSRN eLibrary.

### See Also

`Box.test`, `acf`

### Examples

    data(managers)
    t(table.Autocorrelation(managers))

    result = t(table.Autocorrelation(managers[,1:8]))

    textplot(result, rmar = 0.8, cmar = 2,  max.cex=.9, halign = "center",
             valign = "top", row.valign="center", wrap.rownames=15,
             wrap.colnames=10, mar = c(0,0,3,0)+0.1)

    title(main="Autocorrelation")

[Package PerformanceAnalytics version 1.5.3 Index]